The Reign of the Lords

It's not easy creating an entire faction or era. Post your work and collaborate in this forum.

Moderators: Forum Moderators, Developers

Re: The Reign of the Lords

Postby IPS » December 10th, 2016, 2:04 pm

Devoted is less significant than Precision is mostly because it only works on atack but doesn't on defense. Let's coment some reviews about particular atack cases

a) 10-3 lesser backstab is a bit too weak because it's only 15-3, the same damage than Orichs Warlord all the time. Maybe can be fixed to something like 12-3 lesser backstab in order to make it more frontline than most backstabers. As well for this you can consider + Counter to add it some accuracy while defending considering it's lesser backstab on atack and both skills wouldn't work at the same time; would always work separated which is the intended.
b) 13-3 precision is actually OP. Devoted would fit better mostly because it works only on atack. Apart 10-3 or 11-3 Presicion is by itself a Lv3 atack (if no extras) considering it works on defense as well. So it's perfectly balanced if you make a Lv3 unit having a Lv2 unit mele damage but always 80% of hitting, I see no reasson at all to be 13-3 which would be too abusive.
c) 10-3 ranged presicion like I said it's too abusive, it's even stronger than Orcish Crossbowman ranged over targets with more than 50% defense! but on a mele unit!! Like I said if Precision ... 8-2 or 6-3, with Devoted you can mind instead 9-2 or 7-3 mostly because it's just a normal atack on counter atack, but presicion isn't.

Soon I will be posting my reviews about those factions that I didin't revise in that moment.
Creator of: Deathmatch new in 1.12 server.
Developer of: Empires in 1.12 server.
User avatar
IPS
 
Posts: 822
Joined: December 6th, 2009, 6:36 pm
Location: Venezuela

Re: The Reign of the Lords

Postby The_Gnat » December 10th, 2016, 8:23 pm

IPS wrote:Devoted is less significant than Precision is mostly because it only works on atack but doesn't on defense. Let's coment some reviews about particular atack cases

a) 10-3 lesser backstab is a bit too weak because it's only 15-3, the same damage than Orichs Warlord all the time. Maybe can be fixed to something like 12-3 lesser backstab in order to make it more frontline than most backstabers. As well for this you can consider + Counter to add it some accuracy while defending considering it's lesser backstab on atack and both skills wouldn't work at the same time; would always work separated which is the intended.
b) 13-3 precision is actually OP. Devoted would fit better mostly because it works only on atack. Apart 10-3 or 11-3 Presicion is by itself a Lv3 atack (if no extras) considering it works on defense as well. So it's perfectly balanced if you make a Lv3 unit having a Lv2 unit mele damage but always 80% of hitting, I see no reasson at all to be 13-3 which would be too abusive.
c) 10-3 ranged presicion like I said it's too abusive, it's even stronger than Orcish Crossbowman ranged over targets with more than 50% defense! but on a mele unit!! Like I said if Precision ... 8-2 or 6-3, with Devoted you can mind instead 9-2 or 7-3 mostly because it's just a normal atack on counter atack, but presicion isn't.

Soon I will be posting my reviews about those factions that I didin't revise in that moment.


Thanks again IPS! As for the ranged attack (another misunderstanding) the numbers on the left side of the '>' are the lvl 3 version and the numbers on the right are the lvl 4 advancement. So actually i plan on making the pikeman have 10-2 with no precision as his ranged. Would this solve the problem?

Pikeman
11-3 lesser backstab
11-3 devoted
11-2


I am looking forward to hearing your post on the other faction, also i have almost finished a 6th team the undead. It will soon be released and if you have time i would really appreciate your comments on it also!

Thank you
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

The Reign of the Lords for 1.13

Postby The_Gnat » December 16th, 2016, 10:51 pm

NEW RELEASE 1.1.7 (For wesnoth 1.13)


The 1.1.7 release is now out! Yes, The awesome 5 Lords Reign Addon is now available for 1.13!

The 5 Lords Balance Modification and the 5 Lords Reign are now compatible with 1.13, download them now and fight an epic battle with the ultimate soldiers.

Comments are welcome and appreciated! Unit trees can be viewed here.

Note: The undead faction will be released for 1.12 and 1.13 in the next release!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby IPS » December 17th, 2016, 2:36 pm

Mostly a Wizards faction review, there wasn't that many new units at highelves or undead, but later I will sugestion of new units for both factions.

Also about orcish poleram, 11-2 pierce is too similar than on Orcish Warlod's bow, 7-3 diferenciates more because it's more or less the same damage but with diferent amount of strikes and damage. Also, it's just a secondary atack, so it doesn't matter that lot. The rest looks fine.

Also, will you era have lv2 units as well? Lv2 units gives more dynamic to the game, also makes of this era a less expensive one (you need like 3g and 5g per village to deal with upkeep and recruiting price).

A lot of effort was done in Wizards review, actually it's not that balanced at all, but this is going to help a lot (also, you can ignore optional units like Bronce mage :P, but try mantaining the new Ice Fang, faction needs a cheap fighter)
Attachments
5 reigns feedback 2.txt
(12.93 KiB) Downloaded 41 times
Creator of: Deathmatch new in 1.12 server.
Developer of: Empires in 1.12 server.
User avatar
IPS
 
Posts: 822
Joined: December 6th, 2009, 6:36 pm
Location: Venezuela

Re: The Reign of the Lords

Postby The_Gnat » December 18th, 2016, 7:45 pm

IPS wrote:Mostly a Wizards faction review, there wasn't that many new units at highelves or undead, but later I will sugestion of new units for both factions.

Also about orcish poleram, 11-2 pierce is too similar than on Orcish Warlod's bow, 7-3 diferenciates more because it's more or less the same damage but with diferent amount of strikes and damage. Also, it's just a secondary atack, so it doesn't matter that lot. The rest looks fine.

Also, will you era have lv2 units as well? Lv2 units gives more dynamic to the game, also makes of this era a less expensive one (you need like 3g and 5g per village to deal with upkeep and recruiting price).

A lot of effort was done in Wizards review, actually it's not that balanced at all, but this is going to help a lot (also, you can ignore optional units like Bronce mage :P, but try mantaining the new Ice Fang, faction needs a cheap fighter)


I have made the changes you suggested and have sent you a PM with questions i have. Your help is really appreciated!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby The_Gnat » December 23rd, 2016, 11:30 pm

The Undead Faction will soon be released! It will include the Abomination, Fallen, Reaver, Horror, Phantom, Master Of Darkness, Abyss Rider, Death Charger, Barrow Rider, Hellion, Hellstorm Invader, Arch Necromancer, Prince of Darkness, Black Crusader, Bone Maurader, Death Lord, Eternal Lich, Doom Warden, Dread Hunter, Slither Blade, and Wrath.
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

The Reign of the Lords Version 1.2.0

Postby The_Gnat » December 26th, 2016, 4:12 am

THE REIGN OF THE LORDS 1.2.0


Yes it is finally here we have reached the 1.2 installment! Join the ultimate battle of the Dwarven Alliance, Northern Wartribe, High Elves, Loyalist Army, Wizards and Elementals, and now also the Dark Legion!

Many bugs have been fixed in this newest version, many changes have been made, almost 40 new units have been added for the dark legion and other factions. This now means that the Multiplayer 5 Lords Advancement Modification and singleplayer 5 Lords Default Unit Advancement add-on now allow all the undead to advance to level 4 and even level 5. Weapon Specials Afterburn, Mind Raid, Ensnare and Relentless have been fixed. Many new portraits have been added. The Wizards and Elementals have also been balanced in this newest release thanks to IPS.

Full Changelog
Yes the Undead Faction has now been released it includes the: Abomination, Fallen, Reaver, Horror, Phantom, Master Of Darkness, Abyss Rider, Death Charger, Barrow Rider, Hellion, Hellstorm Invader, Arch Necromancer, Prince of Darkness, Black Crusader, Bone Maurader, Death Lord, Eternal Lich, Doom Warden, Dread Hunter, Slither Blade, Wrath! Many bug fixes have been made. The elven vanquisher sprite has been changed to be more green thanks to era of more units. The Orcish Emperor has been renamed the Supreme and the Supreme has been renamed the Emperor. A new unit for the Orcs has also been added the Warlock a advancement of the Conjurer. Also the Revenant advancement has been fixed. The elvish star sprite has been changed. The ensnare weapon special has been fixed. The Afterburn weapon special has been fixed. The relentless weapon special has been fixed. The Ice Fang and Ice Penertrator have been added to the Elemental faction. The Silver Mage now advances to the Golden Mage and the Mage of Lustre. Portraits for some units have been correctly resized. The code has been cleaned up some. A new portrait has been made for the elvish infiltrator and all the undead have been given portraits. The Wizards and Elementals have also been balanced in this newest release thanks to IPS. The size has increased now to 27mb due to all the new undead portraits and sprites.


NOTE: Unfortunately the name 5 Lords Reign no longer works for this add-on. The name has been officially changed to "Reign of The Lords". This means that you can not just update your already installed add on but will have to re download it from the add-on database in order to play with the newest changes! The 5 Lords Default Unit Advancement has not been changed and does not need to be updated.

Now stop reading and GO download it!

Still reading? I thought i told you to download it, Well if you have time to read this when you should be playing the add-on then you have time to post a comment so get down to the bottom of the page and post your thoughts on the Reign of The Lords!

Thank You to all the help of Forest Dragon, IPS and all the others whose work can be found somewhere in this add-on!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby The_Gnat » December 27th, 2016, 10:44 pm

IMPORTANT NOTE


I think some people may have been confused (i myself was somewhat confused) so here is some important information:

1. The newest version (1.2.0) of the Reign of the Lords add-on has been released for Wesnoth 1.12, it will be released for 1.13 soon

2. The newest version (1.2.0) of the Reign of the Lords add-on has been renamed "Reign of the Lords", i suggest either delete your current Reign of the Lords add-on or enter your add-on menu and click update all. The update all button will update you to the newest version of the reign of the lords. (The add-on is not called 5 Lords Reign any longer)

3. The 5 Lords Default Unit Advancement add-on has not been changed, it does not need to be updated or re-downloaded no change has been made to it.

Sorry about the confusion, thank you!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby Morath » January 8th, 2017, 10:40 pm

Hi, I just wanted to pop in to offer a bit of help. If you're getting errors in stderr.txt like
error config: Skipping over a utf8 BOM at ~add-ons\\Reign_of_the_Lords\\utils\\macros\\transformation.cfg:1
These can easily be fixed by removing the Byte Order Mark at the beginning of these files. If you're not sure what this is, a simple fix is to open the file in notepad++ then: Encoding > Convert to UTF-8 and save the file. These errors aren't a big deal and you may even not care about them until you're finishing up your era, and rather deal with more important issues first; that's your choice.

Otherwise your units are awesome, I am eager to put them into some scenarios at some point. Keep up the good work!
Morath
 
Posts: 21
Joined: August 24th, 2009, 12:38 am

Re: The Reign of the Lords

Postby The_Gnat » January 8th, 2017, 11:08 pm

Morath wrote:Hi, I just wanted to pop in to offer a bit of help. If you're getting errors in stderr.txt like
error config: Skipping over a utf8 BOM at ~add-ons\\Reign_of_the_Lords\\utils\\macros\\transformation.cfg:1
These can easily be fixed by removing the Byte Order Mark at the beginning of these files. If you're not sure what this is, a simple fix is to open the file in notepad++ then: Encoding > Convert to UTF-8 and save the file. These errors aren't a big deal and you may even not care about them until you're finishing up your era, and rather deal with more important issues first; that's your choice.

Otherwise your units are awesome, I am eager to put them into some scenarios at some point. Keep up the good work!


Thank you for your feedback, however i haven't noticed any errors like these, where did you encounter them? If there are any errors occuring i would like to fix them when i can.
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby Morath » January 8th, 2017, 11:35 pm

These are in the file stderr.txt which is in the root of my wesnoth install. I suppose it's possible this file could be somewhere else or not even exist based on stuff like what operating system you're using: linux versus windows, where you installed wesnoth, etc. These errors don't seem to affect anything themselves, but I find it helpful to look into this file to find other types of errors within addons, rather than keeping reloading wesnoth, which is tedious :)
Morath
 
Posts: 21
Joined: August 24th, 2009, 12:38 am

Re: The Reign of the Lords

Postby The_Gnat » January 9th, 2017, 2:00 am

Morath wrote:These are in the file stderr.txt which is in the root of my wesnoth install. I suppose it's possible this file could be somewhere else or not even exist based on stuff like what operating system you're using: linux versus windows, where you installed wesnoth, etc. These errors don't seem to affect anything themselves, but I find it helpful to look into this file to find other types of errors within addons, rather than keeping reloading wesnoth, which is tedious :)


Thank you, unfortunately though i have installed wesnoth 1.12.6 normally on windows i do not see that file, but i understand that it is a log file and appreciate you attempting to help me :D

Also i am fine if you use any units from the add-on and if you could mention me somewhere that would be great!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby The_Gnat » January 14th, 2017, 10:19 pm

NEW RELEASE 1.2.1 (For wesnoth 1.12)


1.2.1.1 has now been released it contains mainly bug fixes.

1.2.1.1 for wesnoth 1.13 will be released soon, i apologize for the delay it is caused by a slow developer discrepancy in conversion between 1.12 and 1.13

Thank you to all the people who support this add-on!
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

Re: The Reign of the Lords

Postby numberlen » January 21st, 2017, 8:08 pm

Hi, I really love your add-on, especially that it can be applied to all campaigns! It makes managing experience a lot less of a chore.

However I cannot seem to get the multiplayer add-on to work. Whenever a unit is about to promote to an ROTL unit, or have the option to promote to an ROTL unit, the game would crash with the error message Image.

I'm using wesnoth 1.12, with no other multiplayer modifications enabled, choosing the default era. The same error occurs with any other era using default units.
numberlen
 
Posts: 2
Joined: January 21st, 2017, 7:54 pm

Re: The Reign of the Lords

Postby The_Gnat » January 21st, 2017, 10:40 pm

numberlen wrote:However I cannot seem to get the multiplayer add-on to work. Whenever a unit is about to promote to an ROTL unit, or have the option to promote to an ROTL unit, the game would crash with the error message.

I'm using wesnoth 1.12, with no other multiplayer modifications enabled, choosing the default era. The same error occurs with any other era using default units.


Hello, i really appreciate you posting this bug. I have uploaded a new version for wesnoth 1.12 that solves this error. If you have any other errors or suggestions please post them! Thank you.

NEW RELEASE 1.2.1.2 (For wesnoth 1.12)


Update to the newest version to fix the multiplayer advancement bug.
User avatar
The_Gnat
 
Posts: 1096
Joined: October 10th, 2016, 3:06 am

PreviousNext

Return to Faction & Era Development

Who is online

Users browsing this forum: No registered users and 3 guests